<?php
// ========= Tableaux de définition des références dans la base de données ====================================
// types spécifiques d'affichage (radio, password, checkbox)
$DB_FieldDspType['usePwd']="password";
$DB_FieldDspType['evtNum']="auto_increment";
$DB_FieldDspType['useNum']="auto_increment";
$DB_FieldDspType['classroomNum']="auto_increment";
// types spécifiques d'affichage (radio, password, checkbox)
$DB_FieldDspRepeat['usePwd']="yes";

// champs d'une table qui référencent un champ dans une autre table.
$DB_FieldRef['tableName']['fieldName']=array("refTable", "refFieldName", "request : true/false"); // exemple
$DB_FieldRef['event']['useNum']=array("user", "useNum", FALSE); // exemple
$DB_FieldRef['event']['useNum_solve']=array("user", "useNum", FALSE); // exemple
$DB_FieldRef['event']['useNum_close']=array("user", "useNum", FALSE); // exemple
$DB_FieldRef['event']['classroomCode']=array("classroom", "classroomCode", TRUE); // exemple
$DB_FieldRef['event']['evtType']=array("eventType", "evtType", TRUE); // exemple
$DB_FieldRef['tableName']['fieldName']=array("refTable", "refFieldName", FALSE); // exemple

$DB_FieldEnum['useLevel']=array("a", "u", "g");
$DB_FieldEnumDesc['useLevel']=array("administrateur", "utilisateur", "invité");

?>
